namespace java com.sankuai.sjst.rms.ls.table.model

/**
 * @TypeDoc(
 *     description = "区域详情"
 * )
 */
struct AreaTO {
        /**
         * @FieldDoc(
         *     description = "区域id",
         *     example = 1
         * )
         */
        1: required i32 id;
        /**
         * @FieldDoc(
         *     description = "区域名称",
         *     example = "大厅"
         * )
         */
        2: required string name;
        /**
         * @FieldDoc(
         *     description = "区域rank值，越大越靠后",
         *     example = "3"
         * )
         */
        3: required i32 rank;
        /**
         * @FieldDoc(
         *     description = "手工录单标识",
         *     example = 0
         * )
         */
        4: required i32 specialType;
 }