namespace java com.sankuai.sjst.rms.ls.table.model



/**
 * @TypeDoc(
 *     description = "桌台预定活动"
 * )
 */
struct TableBookTO {

        /**
         * @FieldDoc(
         *     description = "预定活动id",
         *     example = "1111"
         * )
         */
        1: required i64 bookActivityId;
        /**
         * @FieldDoc(
         *     description = "预定单id",
         *     example = "12ww34dfg3"
         * )
         */
        2: required string bookOrderId;
        /**
         * @FieldDoc(
         *     description = "桌台id",
         *     example = "12123"
         * )
         */
        3: required i64 tableId;
         /**
          * @FieldDoc(
          *     description = "预定开始时间",
          *     example = "1"
          * )
          */
         4: required i64 bookTime;

         /**
           * @FieldDoc(
           *     description = "状态。1：已经预定，2：已取消， 3；已转堂食",
           *     example = "1"
           * )
           */
          5: required i32 status;

          /**
           * @FieldDoc(
           *     description = "来源。",
           *     example = "1：宴会预定，2：正餐预定"
           * )
           */
          6: required i32 source;

}



